import matplotlib.pyplot as plt
import numpy as np
import matplotlib.colors as mcolors

bc = mcolors.BASE_COLORS
np.random.seed(123)
groups = [f'P{i}' for i in range(7)]
counts = np.random.randint(0, len(bc), len(groups))
width = counts * 0.1
colors = [['r', 'b', 'g'][int(np.random.randint(0, 3, 1))] for _ in counts]
plt.bar(groups, counts, width=width, alpha=0.6, bottom=2,
        color=colors, edgecolor='k', linewidth=2)

plt.show()
